[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#353528: marked as done (Segfaults with VPATH=/home/mattia/devel/kernel/git/linux-2.6: in linux kernel's make cscope target)

Your message dated Sat, 02 Sep 2006 23:47:09 -0700
with message-id <E1GJll7-0003m5-6x@spohr.debian.org>
and subject line Bug#353528: fixed in cscope 15.5+cvs20060902-1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: cscope
Version: 15.5+cvs20050816-1
Severity: important
Tags: patch

Using current kbuild.git tree (or any -mm patch in 2.6.16-rc1 -maybe
earlier mm also-) I get a segfault in 'make cscope'.
I tracked this to be caused by:

	VPATH=/home/mattia/devel/kernel/git/linux-2.6: cscope -b

cscope dies because of the trailing ':' in:
	(gdb) bt
	#0  0xb7e45cd3 in strlen () from /lib/tls/libc.so.6
	#1  0x0805be0c in vpinit (current_dir=0x80a6460 "/home/mattia/devel/kernel/git/linux-2.6") at vpinit.c:126
	#2  0x0805267e in makevpsrcdirs () at dir.c:98
	#3  0x080533a1 in makefilelist () at dir.c:276
	#4  0x0805a70b in main (argc=0, argv=0xbffb6148) at main.c:538

the attached patch fixes the segfault.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (300, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-rc2-mm1-3
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages cscope depends on:
ii  libc6                         2.3.5-13   GNU C Library: Shared libraries an
ii  libncurses5                   5.5-1      Shared libraries for terminal hand

cscope recommends no packages.

-- no debconf information
--- src/vpinit.c.clean	2006-02-19 12:05:46.614956144 +0100
+++ src/vpinit.c	2006-02-19 12:05:53.376928967 +0100
@@ -99,7 +99,7 @@
 	/* count the nodes in the view path */
 	vpndirs = 1;
 	for (i = 0; vpath[i] != '\0'; ++i) {
-		if (vpath[i] == ':') {
+		if (vpath[i] == ':' && vpath[i+1]) {

Attachment: signature.asc
Description: Digital signature

--- End Message ---
--- Begin Message ---
Source: cscope
Source-Version: 15.5+cvs20060902-1

We believe that the bug you reported is fixed in the latest version of
cscope, which is due to be installed in the Debian FTP archive:

  to pool/main/c/cscope/cscope_15.5+cvs20060902-1.diff.gz
  to pool/main/c/cscope/cscope_15.5+cvs20060902-1.dsc
  to pool/main/c/cscope/cscope_15.5+cvs20060902-1_i386.deb
  to pool/main/c/cscope/cscope_15.5+cvs20060902.orig.tar.gz

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 353528@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Tobias Klauser <tklauser@access.unizh.ch> (supplier of updated cscope package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sat,  2 Sep 2006 19:25:48 +0200
Source: cscope
Binary: cscope
Architecture: source i386
Version: 15.5+cvs20060902-1
Distribution: unstable
Urgency: low
Maintainer: Tobias Klauser <tklauser@access.unizh.ch>
Changed-By: Tobias Klauser <tklauser@access.unizh.ch>
 cscope     - Interactively examine a C program source
Closes: 353528 378802
 cscope (15.5+cvs20060902-1) unstable; urgency=low
   * New snapshot from upstream CVS as of 2006-09-02. Fixes the following bug:
     - Handle trailing ':' in VPATH envvar correctly, thanks Mattia Dongili
       (Closes: #353528)
   * New maintainer (Closes: #378802)
   * Remove Build-Depends on automake-1.7 as it was only there to shut up a
     warning which does not show up anymore.
   * Remove watch file
 c82f60254b18eb05290dffebeba5d74a 644 devel optional cscope_15.5+cvs20060902-1.dsc
 9451b91c225aee5cbed3fe1dcc2de53b 270392 devel optional cscope_15.5+cvs20060902.orig.tar.gz
 64fbaeafa2750b6e688bd410c237e363 21471 devel optional cscope_15.5+cvs20060902-1.diff.gz
 8e055b8ed1c87db74c0e3de97895563f 149016 devel optional cscope_15.5+cvs20060902-1_i386.deb

Version: GnuPG v1.4.5 (GNU/Linux)


--- End Message ---

Reply to: